Subject: Re: bug#7987: 23.2; Refill error in message-mode

From: Glenn Morris <[email-masked]>
Date: Tue, 08 Feb 2011 14:16:32 -0500

Jesse Sheidlower wrote:

> The EmacsWiki page on MuttInEmacs does give a code sample (apparently
> problematic, as there are various kludgy-looking updates) that 'sets
> mail-header-separator to "" for M-q and auto-fill to work correctly', so

I'd probably have tried that.

> I'll experiment further and will update if necessary. Is there a
> preferred way to tell message-mode to assume that the buffer is a
> message body, rather than a header?

For filling, you can in a mode hook change the value of
fill-paragraph-function to something appropriate. The default is
message-fill-paragraph, which checks for headers as you can see.
I have no idea what other pieces of message-mode rely on the presence of
mail-header-separator though.